﻿using System.IO;

namespace TestServer
{
    /// <summary>
    /// 다운로드 서비스
    /// </summary>
    public class DownloadService : IDownloadService
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 문서 다운로드 하기 - DownloadDocument(filePath)

        /// <summary>
        /// 문서 다운로드 하기
        /// </summary>
        /// <param name="filePath">파일 경로</param>
        /// <returns>다운로드 파일</returns>
        public DownloadFile DownloadDocument(string filePath)
        {
            string fileName = Path.GetFileName(filePath);

            DownloadFile downloadFile = new DownloadFile();

            downloadFile.FileName = fileName;
            downloadFile.Content  = File.ReadAllBytes(filePath);

            return downloadFile;
        }

        #endregion
    }
}