﻿using System.ServiceModel;

namespace TestServer
{
    /// <summary>
    /// 다운로드 서비스
    /// </summary>
    [ServiceContract]
    public interface IDownloadService
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method

        #region 문서 다운로드 하기 - DownloadDocument(filePath)

        /// <summary>
        /// 문서 다운로드 하기
        /// </summary>
        /// <param name="filePath">파일 경로</param>
        /// <returns>다운로드 파일</returns>
        [OperationContract]
        DownloadFile DownloadDocument(string filePath);

        #endregion
    }
}